Criar lançamento do caixa
curl --request POST \
--url https://api.tiny.com.br/public-api/v3/caixa \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"historico": "<string>",
"data": "2024-01-01",
"valor": 123,
"dataCompetencia": "2024-01",
"categoria": {
"id": 123
},
"conta": {
"id": 123
},
"contato": {
"id": 123
},
"anexos": [
{
"url": "<string>"
}
],
"marcadores": [
{
"descricao": "<string>"
}
]
}
'import requests
url = "https://api.tiny.com.br/public-api/v3/caixa"
payload = {
"historico": "<string>",
"data": "2024-01-01",
"valor": 123,
"dataCompetencia": "2024-01",
"categoria": { "id": 123 },
"conta": { "id": 123 },
"contato": { "id": 123 },
"anexos": [{ "url": "<string>" }],
"marcadores": [{ "descricao": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
historico: '<string>',
data: '2024-01-01',
valor: 123,
dataCompetencia: '2024-01',
categoria: {id: 123},
conta: {id: 123},
contato: {id: 123},
anexos: [{url: '<string>'}],
marcadores: [{descricao: '<string>'}]
})
};
fetch('https://api.tiny.com.br/public-api/v3/caixa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123
}{
"mensagem": "Ocorreram erros de validação",
"detalhes": [
{
"campo": "codigo",
"mensagem": "O campo código é obrigatório"
}
]
}Caixa
Criar lançamento do caixa
POST
/
caixa
Criar lançamento do caixa
Body
application/json
Example:
"2024-01-01"
- D - Saida
- C - Entrada
- S - Saldo
Available options:
D, C, S Example:
"2024-01"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
